[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] PATCH: Fix node device APIs for RHEL-5 vintage HAL



On Thu, Mar 12, 2009 at 02:09:10PM +0000, Daniel P. Berrange wrote:
> In the node device APIs we look for a property in HAL call info.subsystem.
> Turns out this is a fairly recent addition to HAL, and it used to be 
> called  'linux.subsystem' in RHEL-5 vintage & earlier. This means we never
> see any PCI / USB devices in libvirt when on RHEL-5.
> 
> This patch makes us check for both those properties, since the values 
> are the same for each - just the property name changed

  Okay, since this may affect old hals in general and not just RHEL
patch looks just firn to me, ACK,

Daniel

-- 
Daniel Veillard      | libxml Gnome XML XSLT toolkit  http://xmlsoft.org/
daniel veillard com  | Rpmfind RPM search engine http://rpmfind.net/
http://veillard.com/ | virtualization library  http://libvirt.org/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]